Bug 539583 - qemu use-after-free crash in slirp/m_free()
qemu use-after-free crash in slirp/m_free()
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
12
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Mark McLoughlin
Fedora Extras Quality Assurance
abrt_hash:e862c6160eab5d20796537e5763...
:
Depends On:
Blocks: F12VirtTarget
  Show dependency treegraph
 
Reported: 2009-11-20 11:46 EST by Paul Fee
Modified: 2009-12-08 03:03 EST (History)
9 users (show)

See Also:
Fixed In Version: 0.11.0-12.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-08 03:03:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (8.75 KB, text/plain)
2009-11-20 11:47 EST, Paul Fee
no flags Details
File: cmdline (477 bytes, text/plain)
2009-11-20 11:47 EST, Paul Fee
no flags Details

  None (edit)
Description Paul Fee 2009-11-20 11:46:56 EST
abrt detected a crash.

Comment: Using yum to install packages on guest machine.  Guest was running Centos5.4
Attached file: backtrace
Attached file: cmdline
component: qemu
executable: /usr/bin/qemu-kvm
kernel: 2.6.31.5-127.fc12.x86_64
package: qemu-system-x86-2:0.11.0-11.fc12
rating: 3
reason: Process was terminated by signal 11
Comment 1 Paul Fee 2009-11-20 11:47:00 EST
Created attachment 372540 [details]
File: backtrace
Comment 2 Paul Fee 2009-11-20 11:47:05 EST
Created attachment 372541 [details]
File: cmdline
Comment 3 Mark McLoughlin 2009-11-20 13:08:45 EST
Beautiful:

  http://repo.or.cz/w/qemu.git/commitdiff/460fec67ee

        if (m->m_flags & M_DOFREE) {
                free(m);
-               mbuf_alloced--;
+               m->slirp->mbuf_alloced--;
Comment 4 Mark McLoughlin 2009-11-20 13:30:46 EST
Thanks for the report!

Building this fix now:

* Fri Nov 20 2009 Mark McLoughlin <markmc@redhat.com> - 2:0.11.0-12
- Fix a use-after-free crasher in the slirp code (#539583)
- Fix overflow in the parallels image format support (#533573)
Comment 5 Fedora Update System 2009-11-20 14:12:50 EST
qemu-0.11.0-12.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/qemu-0.11.0-12.fc12
Comment 6 Fedora Update System 2009-11-24 02:36:00 EST
qemu-0.11.0-12.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update qemu'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-11901
Comment 7 Fedora Update System 2009-12-08 03:03:47 EST
qemu-0.11.0-12.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.